Index: /trunk/SRC/ToBeReviewed/MATRICE/colle.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/MATRICE/colle.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/MATRICE/colle.pro	(revision 142)
@@ -2,5 +2,5 @@
 ; @file_comments 
 ; This concatenation function exist in IDL so long 
-;as we do not try to stick with a dimension superior or equal at 4.  
+; as we do not try to stick with a dimension superior or equal at 4.  
 ;
 ; @categories utilities
@@ -48,26 +48,4 @@
 ; @param a20 {in}{required}
 ;
-; @param CAS 1 {in}{required}
-;        table_of_pointer: It is a table of pointers, where each 
-;        element point on a table to stick
-;       
-;        For exemple, in a program, we want to stick n table ones with others.
-;
-;          tab=ptrarr(n,/allocate_heap)
-;          for i=0,n-1 do begin
-;             *tab[n]=replicate(n,2,3)
-;          endfor
-;          res=colle(tab,1)
-;
-; @param CAS 2 {in}{required}
-;        we directly give tables to stick
-;        Comment: In this case, the plus we can give is 20 tables.
-;
-;        BEWARE: whitout the keyword /SAUVE entry arguments are 
-;                delete when, we build res. In the first case,we 
-;                delete the table of pointers and variables on which we point.
-;
-; @param direc {in}{required} The direction on which stick them, 1,2,3... 
-;
 ; @keyword SAUVE mot cle qui force a sauvegarder le tableau de
 ;         pointeur et les tableaux a coller.
@@ -98,19 +76,19 @@
    res = -1
 ;------------------------------------------------------------
-; on met en place ptrtab et direc en fonction des arguments en entree
+; We put in place ptrtab and direc in function of input arguments
 ;------------------------------------------------------------
    case 1 of
-      n_params() EQ 2:BEGIN     ; cas ou l'on donne directement le tableau de pointeurs
+      n_params() EQ 2:BEGIN     ; case where we directly give the pointer array
          ptrtab = a0
          direc = a1
          if NOT keyword_set(sauve) then undefine, a0
-; on recupere le nombre de tableaux a coller
+; on recuperate the number of array to be pasted.
          nbretab = (size(ptrtab))[1]
       end
       n_params() GT 2:BEGIN
-; on recupere le nombre de tableaux a coller
+; on recuperate the number of array to be pasted.
          nbretab = n_params()-1
          bidon = execute('direc = a'+strtrim(n_params()-1, 2))
-; on ecrit le tableau de pointeur dont chaque element pointe sur un tableau
+; We write the pointer array whose each element point on an array.
          ptrtab=ptrarr(nbretab,/allocate_heap)
          for n = 0,nbretab-1 do begin
@@ -123,8 +101,8 @@
    endcase
 ;------------------------------------------------------------
-; case sur la valeure de direc
+; case on the direct's value.
 ;------------------------------------------------------------
    case direc of
-      1:BEGIN                   ; on colle suivant la dimension 1
+      1:BEGIN                   ; we paste following the dimension 1
          res = *ptrtab[0]
          if NOT keyword_set(sauve) then ptr_free, ptrtab[0]
@@ -134,5 +112,5 @@
          ENDFOR 
       END 
-      2:BEGIN                   ; on colle suivant la dimension 2
+      2:BEGIN                   ; we paste following the dimension 2
          res = *ptrtab[0]
          if NOT keyword_set(sauve) then ptr_free, ptrtab[0]
@@ -142,5 +120,5 @@
          ENDFOR 
       END 
-      3:BEGIN                   ; on colle suivant la dimension 3
+      3:BEGIN                   ; we paste following the dimension 3
          res = *ptrtab[0]
          if NOT keyword_set(sauve) then ptr_free, ptrtab[0]
@@ -151,7 +129,7 @@
       END
       ELSE:BEGIN 
-; on transpose res de facon a mettre la dimension a coller numero 1.
-; pour cela on contient le vecteur permute qui donne la place que
-; doivent prendre les dimensions ds la matrice transposee
+; We transpose res in order to put the dimension to be pasted number 1
+; To this, we contain the permuter vector which give the place that dimension 
+; in the transposed matrix must take.
         siz = (size(*ptrtab[0]))[0]
          if siz LT direc then $
@@ -162,5 +140,5 @@
          res = transpose(*ptrtab[0], permute)
          if NOT keyword_set(sauve) then ptr_free, ptrtab[0]
-         FOR n = 1,nbretab-1 DO BEGIN ; on colle suivant la dimension 1
+         FOR n = 1,nbretab-1 DO BEGIN ; we paste following the dimension 1on colle suivant la dimension 1
             if (size(*ptrtab[n]))[0] LT direc then $
              *ptrtab[n] = reform(*ptrtab[n], [(size(*ptrtab[n]))[1:siz], replicate(1, direc-siz)])            
Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/bar_plot.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/bar_plot.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/bar_plot.pro	(revision 142)
@@ -1,86 +1,88 @@
-; $Id$
-;
-; Copyright (c) 1990-2000, Research Systems, Inc.  All rights reserved.
-;	Unauthorized reproduction prohibited.
-;
 ;+
-; PURPOSE:
-;	Create a bar graph, or overplot on an existing one.
-;
-; CATEGORY:
-;	Graphics.
-;
-; CALLING SEQUENCE:
-;	BAR_PLOT, Values
-;
-; INPUTS:
-;	Values:	A vector containing the values to be represented by the bars.
-;		Each element in VALUES corresponds to a single bar in the
-;		output.
-;
-; KEYWORD PARAMETERS:
-;   BASELINES:	A vector, the same size as VALUES, that contains the
-;		base value associated with each bar.  If not specified,
-;		a base value of zero is used for all bars.
-;
-;      COLORS:	A vector, the same size as VALUES, containing the color index
-;		to be used for each bar.  If not specified, the colors are
-;		selected based on spacing the color indices as widely as
-;		possible within the available colors (specified by D.N_COLORS).
-;
-;    BARNAMES:	A string array, containing one string label per bar.
-;		If the bars are vertical, the labels are placed beneath
-;		them.  If horizontal (rotated) bars are specified, the labels
-;		are placed to the left of the bars.
-;
-;	TITLE:	A string containing the main title to for the bar plot.
-;
-;	XTITLE:	A string containing the title for the X axis.
-;
-;	YTITLE:	A string containing the title for the Y axis.
-;
-;   BASERANGE:	A floating-point scalar in the range 0.0 to 1.0, that
-;		determines the fraction of the total available plotting area
-;		(in the direction perpendicular to the bars) to be used.
-;		If not specified, the full available area is used.
-;
-;    BARWIDTH:	A floating-point value that specifies the width of the bars
-;		in units of "nominal bar width".  The nominal bar width is
-;		computed so that all the bars (and the space between them,
-;		set by default to 20% of the width of the bars) will fill the
-;		available space (optionally controlled with the BASERANGE
-;		keyword).
-;
-;    BARSPACE: 	A scalar that specifies, in units of "nominal bar width",
-;		the spacing between bars.  For example, if BARSPACE is 1.0,
-;		then all bars will have one bar-width of space between them.
-;		If not specified, the bars are spaced apart by 20% of the bar
-;		width.
-;
-;   BAROFFSET:	A scalar that specifies the offset to be applied to the
-;		first bar, in units of "nominal bar width".  This keyword
-;		allows, for example, different groups of bars to be overplotted
-;		on the same graph.  If not specified, the default offset is
-;		equal to BARSPACE.
-;
-;     OUTLINE:	If set, this keyword specifies that an outline should be
-;		drawn around each bar.
-;
-;    OVERPLOT:	If set, this keyword specifies that the bar plot should be
-;		overplotted on an existing graph.
-;
-;  BACKGROUND:	A scalar that specifies the color index to be used for
-;		the background color.  By default, the normal IDL background
-;		color is used.
-;
-;	ROTATE:	If set, this keyword indicates that horizontal rather than
-;		vertical bars should be drawn.  The bases of horizontal bars
-;		are on the left, "Y" axis and the bars extend to the right.
-;
-; OUTPUTS:
-;	A bar plot is created, or an existing one is overplotted.
-;
-; EXAMPLE:
-;	By using the overplotting capability, it is relatively easy to create
+; 
+; @file_comments 
+; Create a bar graph, or overplot on an existing one.
+;
+; @categories 
+; Graphics
+;
+; @param Values {in}{required} 
+; A vector containing the values to be represented by the bars.
+; Each element in VALUES corresponds to a single bar in the
+; output.
+;
+; @keyword BASELINES 
+; A vector, the same size as VALUES, that contains the
+; base value associated with each bar.  If not specified,
+; a base value of zero is used for all bars.
+;
+; @keyword COLORS 
+; A vector, the same size as VALUES, containing the color index
+; to be used for each bar.  If not specified, the colors are
+; selected based on spacing the color indices as widely as
+; possible within the available colors (specified by D.N_COLORS).
+;
+; @keyword BARNAMES 
+; A string array, containing one string label per bar.
+; If the bars are vertical, the labels are placed beneath
+; them.  If horizontal (rotated) bars are specified, the labels
+; are placed to the left of the bars.
+;
+; @keyword TITLE 
+; A string containing the main title to for the bar plot.
+;
+; @keyword XTITLE 
+; A string containing the title for the X axis.
+;
+; @keyword YTITLE 
+; A string containing the title for the Y axis.
+;
+; @keyword BASERANGE 
+; A floating-point scalar in the range 0.0 to 1.0, that
+; determines the fraction of the total available plotting area
+; (in the direction perpendicular to the bars) to be used.
+; If not specified, the full available area is used.
+;
+; @keyword BARWIDTH 
+; A floating-point value that specifies the width of the bars
+; in units of "nominal bar width".  The nominal bar width is
+; computed so that all the bars (and the space between them,
+; set by default to 20% of the width of the bars) will fill the
+; available space (optionally controlled with the BASERANGE
+; keyword).
+;
+; @keyword BARSPACE 
+; A scalar that specifies, in units of "nominal bar width",
+; the spacing between bars.  For example, if BARSPACE is 1.0,
+; then all bars will have one bar-width of space between them.
+; If not specified, the bars are spaced apart by 20% of the bar
+; width.
+;
+; @keyword BAROFFSET 
+; A scalar that specifies the offset to be applied to the
+; first bar, in units of "nominal bar width".  This keyword
+; allows, for example, different groups of bars to be overplotted
+; on the same graph.  If not specified, the default offset is
+; equal to BARSPACE.
+;
+; @keyword OUTLINE 
+; If set, this keyword specifies that an outline should be
+; drawn around each bar.
+;
+; @keyword OVERPLOT 
+; If set, this keyword specifies that the bar plot should be
+; overplotted on an existing graph.
+;
+; @keyword BACKGROUND 
+; A scalar that specifies the color index to be used for
+; the background color.  By default, the normal IDL background
+; color is used.
+;
+; @keyword ROTATE 
+; If set, this keyword indicates that horizontal rather than
+; vertical bars should be drawn.  The bases of horizontal bars
+; are on the left, "Y" axis and the bars extend to the right.
+;
+; @examples By using the overplotting capability, it is relatively easy to create
 ;	stacked bar charts, or different groups of bars on the same graph.
 ;
@@ -118,6 +120,5 @@
 ;	this could easily be changed.)
 ;
-; MODIFICATION HISTORY:
-;	August 1990, T.J. Armitage, RSI, initial programming.  Replacement
+; @history August 1990, T.J. Armitage, RSI, initial programming.  Replacement
 ;	for PLOTBAR and OPLOTBAR routines written by William Thompson.
 ;
@@ -125,4 +126,7 @@
 ;	appearance of the bar plots in the default mode. Included
 ;	spacing the bars slightly.
+;
+; $Id$
+;
 ;-
 pro bar_plot,values,baselines=baselines,colors=colors,barnames=barnames, $
